import FqLogin from "../login/FqLogin";
import ViewObject from "../main/ViewObject";

/**
 * 引导显示
 */
const { ccclass, property } = cc._decorator;

@ccclass
export default class PlotView extends ViewObject {

    @property(cc.Node)
    plotList: cc.Node[] = [];

    private iIndex = 0;

    onLoad() {
        FqLogin.commitEvent(`manhua${this.iIndex}`, "", "")
    }

    public onclick() {
        this.iIndex++;
        if (this.iIndex > this.plotList.length - 1) {
            this.exitDistroy()
            return
        }
        this.plotList[this.iIndex].active = true;
        FqLogin.commitEvent(`manhua${this.iIndex}`, "", "")
    }


}
